/* FILE: macMarcro.h
 *
 * PROGRAM: User Friendly Metadata
 *
 * DESCRIPTION: This file contains the header for the functions that 
 *      provide the UFM tool with the ability to handle user-defined and 
 *      predefined macros.
 *
 *
 * RCS INFO:
 *
 *	$Id: macMacro.h,v 1.1 2002/05/08 15:20:20 yin Exp $
 *
 *	$Log: macMacro.h,v $
 *	Revision 1.1  2002/05/08 15:20:20  yin
 *	Initial revision
 *
 *	Revision 1.1  1999/01/06 20:40:42  ToolsDev
 *	Initial revision from prototype baseline.
 *
 *
*/
#ifndef _macMarcro_header
#define _macMarcro_header

#define MAX_MACRO_NAME 32

/* INCLUDED FILES: the following included files are here because of
 *     dependencies that exist within this header file.
*/
	/* NONE */


/* ---------------------------------------------------------------------*/

/* EXTERN VARIABLES: the following variables may be used in other files.
 *    They are defined in macMarcro.c.
*/
	/* NONE */


/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in macMarcro.c but which are intended for use elsewhere.
*/
char *macMacroExpander( char *pString );

/* ---------------------------------------------------------------------*/

#endif 
