/* FILE: ListExpander.h
 *
 * PROGRAM: User-Friendly Metadata (UFM)
 *
 * DESCRIPTION: This file contains header information for the ListExpander
 *     module.
 *
 * RCS INFO:
 *
 *	$Id: ListExpander.h,v 1.2 1999/02/03 16:23:18 stroup Exp $
 *
 *	$Log: ListExpander.h,v $
 *	Revision 1.2  1999/02/03 16:23:18  stroup
 *	Promotion of 1.1.0 branch.
 *
 * Revision 1.1.0.4  1999/01/26  18:21:27  stroup
 * Removed prototype for function ToUpStrcmp.
 *
 * Revision 1.1.0.3  1999/01/22  15:05:50  stroup
 * Move prototypes for SplitList, SyntaxChecker, CreateCompList, and
 * NewCompListElem to ListExpander.c (they're local to this module).
 *
 * Revision 1.1.0.2  1999/01/22  13:16:53  stroup
 * Moved prototypes for RootNode, ParentNode, and CompMatch to odlSupport.h
 * and renamed.  Removed prototype for NextChildNode.
 *
 * Revision 1.1.0.1  1999/01/21  19:19:05  stroup
 * Removed prototypes for NextToken, ltrim, rtrim, and strrev.
 *
 * Revision 1.1  1999/01/06  20:40:42  ToolsDev
 * Initial revision from prototype baseline.
 *
 *
*/
#ifndef _ListExpander_header
#define _ListExpander_header

/* INCLUDED FILES: the following included files are here because of
 *     dependencies that exist within this header file.
*/
#include "lstList.h"
#include "ODL_Node.h"

/* ---------------------------------------------------------------------*/

/* EXTERN VARIABLES: the following variables may be used in other files.
 *    They are defined in <<filename>>.c.
*/
/* NONE */


/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in ListExpander.c but which are intended for use elsewhere.
*/
lstLIST ListExpander (ODLNodePtr, char *);
/* ---------------------------------------------------------------------*/

#endif 
